Ubuntu

Keyboard special keys interfere with mouse

Reported by Thomas Kluyver on 2010-09-12
846
This bug affects 225 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
xorg (Ubuntu)
High
Unassigned
Nominated for Lucid by Mike Nemkov
Maverick
High
sukatana
Natty
High
Unassigned
xserver-xorg-input-evdev (Ubuntu)
High
Chris Halse Rogers
Nominated for Lucid by Mike Nemkov
Maverick
High
Unassigned
Natty
High
Chris Halse Rogers

Bug Description

Binary package hint: xorg

Following an online update from Kubuntu Lucid to Maverick beta, use of almost any of the 'special' buttons on the keyboard (mail, home, documents, play/pause, volume up, zoom in...) fires a ButtonPress event (as seen by xev) for the physically left mouse button (i.e. left click with the mouse set right-handed, 'right click' if set left-handed). There is no corresponding ButtonRelease, so the computer acts as if that mouse button is held down. The ButtonPress occurs between the KeyPress and KeyRelease events of the special key.

This makes the mouse essentially unusable. So far, I've not found a way to reset it besides logging off (i.e. restarting X).

Hardware:
- Basic Microsoft keyboard and mouse (optical wheel mouse, Digital Media Keyboard 3000)
- Intel graphics (lspci says it's an 82G33/31 integrated graphics controller)

Initially I thought the problem was related to kwin compositing (which also causes some problems, see bug 630632 ), but I've found it happening even with desktop effects turned off.

I don't know if xorg is the best package to file this against, so if not, please point me in the right direction.

== Regression details ==
Discovered in version: maverick
Last known good version: lucid

Thomas Kluyver (takluyver) wrote :

OK, further information: I can trigger it with most of the special keys on the keyboard--documents, home, favourites, play/pause, mute, zoom in... The only ones I've so far found that don't do it are five numbered buttons, and trying to assign those to shortcuts suggests that Ubuntu doesn't recognise them at all. I see the right click menu when I first press one of the buttons that triggers it, then clicks (and scroll wheel movements) stop doing anything. The normal effects of hovering over items, i.e. highlights, tooltips, also don't happen.

It may be unrelated, but in the 'custom shortcuts' module in system settings, there's a checkbox for "Start input actions daemon on login." This is checked, so I tried unchecking it and restarting, but it's checked again when I go back to it.

summary: - Stops responding to mouse clicks
+ Keyboard special keys interfere with mouse
description: updated
Bryce Harrington (bryce) on 2010-09-12
tags: added: kubuntu
Bryce Harrington (bryce) on 2010-09-13
affects: xorg (Ubuntu) → xserver-xorg-input-evdev (Ubuntu)
Thomas Kluyver (takluyver) wrote :

Here's the output of xev when I triggered it (XF86AudioPlay, line 133). It shows a press event on the right mouse button (button 3), but no corresponding release event, so the computer presumably assumes I'm holding down the right mouse button. (Just to clarify, this is just from the keyboard button press: I didn't press any of the mouse buttons.

Testing after that with xev (not in log), all the buttons apart from the right one fire events correctly after that (left, scroll wheel press and scroll up and down).

Also attaching Xorg.0.log. One interesting line:
[ 12.072] (II) Microsoft Microsoft® Digital Media oard 3000: Found 1 mouse buttons
I've no idea if that's normal for this keyboard, nor whether the missing letters "Keyb" are any cause for concern. It's possible that the mouse button is there to support some of the special buttons, e.g. zoom in/out, but I don't know.

Thomas Kluyver (takluyver) wrote :
Thomas Kluyver (takluyver) wrote :

OK, just to confuse matters:

For the above description, I was using the mouse left-handed. I described right and left buttons according to function on the computer, i.e. what I called the right button, which invokes a context menu, is physically the one on the left. This raises the same event (button 3) as occurs when I press a special key. I'd forgotten that left-handed is the exception until just now.

When testing the same thing with the mouse right-handed, a special key fires a button 1 press event. In other words, whichever hand the mouse is set for, it signals a 'press' corresponding to the physical-left button. As before, there's no corresponding ButtonRelease, so it's as if that button is 'held down'.

I hope this helps someone to understand what might be causing this behaviour.

description: updated

I have the same problem after upgrading to Maverick beta. I am using an MS wireless keyboard and mouse. After pluging out and back in the transceiver, the mouse starts working again.

Same problem here with Wired Microsoft Digital Media Pro Keyboard and logitech mouse. Plugging out and then back in fixes the issue.

summary: - Keyboard special keys interfere with mouse
+ Microsoft Keyboard special keys interfere with mouse
tags: added: keyboard mouse xorg

Happens to me as well. Dell Studio laptop using the laptop media keys or with a usb microsoft keyboard. Logitech wireless mouse.
Fresh install of Maverick Beta.

Changed in xserver-xorg-input-evdev (Ubuntu):
status: New → Confirmed
summary: - Microsoft Keyboard special keys interfere with mouse
+ Keyboard special keys interfere with mouse
Christian (clomp) wrote :

I can also confirm this error on a Microsoft Digital Media Keyboard 1.0A (wired) with Ubuntu 10.10

I'm also affected with MS Wireless Comfort Keyboard 5000.

Mouse and keyboard share a single USB transceiver. Unplugging and replugging the transceiver will allow the left mouse button to "un-click."

Leon Nardella (leon.nardella) wrote :

Same here.
Both keyboard and mouse are from Microsoft.

Bus 003 Device 003: ID 045e:0750 Microsoft Corp.
Bus 003 Device 002: ID 045e:00cb Microsoft Corp. Basic Optical Mouse v2.0

Thomas Kluyver (takluyver) wrote :

If there's anyone reading this who might have an idea how to solve it: is there any additional useful information we can provide? It seems likely that in about a week, there's going to be a lot more users exposed to this bug, and getting rather frustrated. I don't know how to begin solving it myself, but I'd be glad to pass information to anyone who can.

Me 2.
Base Microsoft USB Keyboard and USB X5 mouse.

Christian (clomp) wrote :

Keyboard and Mouse are from Microsoft, but I have the same problem when I use a different Mouse (from Targus).

In System/Preferences/Keyboard-Preferences the model "Microsoft Wireless Multimedia Keyboard 1.0A" is selected although I have a "Microsoft Digital Multimedia Keyboard 1.0A". Problem also appears when a generic Layout is selected like "Generic 105-key".

The log created by dmesg when plugging in the keyboard and the mouse says:

[434902.522568] input: Microsoft Microsoft® Digital Media Keyboard as /devices/pci0000:00/0000:00:04.0/usb2/2-1/2-1:1.1/input/input18
[434902.523108] generic-usb 0003:045E:00B4.0011: input,hidraw1: USB HID v1.11 Device [Microsoft Microsoft® Digital Media Keyboard ] on usb-0000:00:04.0-1/input1
[434909.840039] usb 2-3: new low speed USB device using ohci_hcd and address 14
[434910.066175] input: Microsoft Microsoft 3-Button Mouse with IntelliEye(TM) as /devices/pci0000:00/0000:00:04.0/usb2/2-3/2-3:1.0/input/input19
[434910.066602] generic-usb 0003:045E:0040.0012: input,hidraw2: USB HID v1.10 Mouse [Microsoft Microsoft 3-Button Mouse with IntelliEye(TM)] on usb-0000:00:04.0-3/input0

Christian (clomp) wrote :

I found in an old thread from three years ago that suggests to use the program keytouch.
When I try to use keytouch (which lists my keyboard properly) I get the message:

"Warning: Not all keys can be grabbed by this program. This can be caused by another program which is already grabbing these keys."

Which part of the system is doing that ?

eluminx (eluminx-) wrote :

i am also experiencing this error with an MS Arc keyboard and Logitech S610 wireless mouse. I did an upgrade from 10.04 to Maverick and started getting this error, unplugging and plugging the MS Arc receiver ONLY fixes this issue, if i unplug the mouse receiver and plug it back in, ir remains the same.

Jonathan Rauprich (joni-noplu) wrote :

same here with any usb microsoft keyboard (mouse dosn't matter). a ps/2 keyboard from microsoft is running without problems. priority of this bug should be set to critical since it will produce a lot of problems, once maverick is released (3days)

For what it is worth I am yet another person affected. It has even happened when not pressing the special keyboard keys. From a fresh graphical boot it is usually under a minute before I get the left button locked problem.

To fix it I do "modprobe -r usbhid ; modprobe usbhid" from an SSH connection.

The time till the problem reoccurs ranges from 10 seconds to a few hours and seems random. Needless to say I have never had any similar problems in the several years I've been using the same mouse and keyboard with prior Ubuntu releases.

[ 1497.582153] input: Microsoft Microsoft® Digital Media Keyboard 3000 as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/input/input33
[ 1497.582331] generic-usb 0003:045E:0730.0001: input,hidraw0: USB HID v1.11 Keyboard [Microsoft Microsoft® Digital Media Keyboard 3000] on usb-0000:00:1d.0-1.6/input0
[ 1497.597458] input: Microsoft Microsoft® Digital Media Keyboard 3000 as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.1/input/input34
[ 1497.597679] generic-usb 0003:045E:0730.0002: input,hidraw1: USB HID v1.11 Device [Microsoft Microsoft® Digital Media Keyboard 3000] on usb-0000:00:1d.0-1.6/input1
[ 1497.609273] input: Microsoft Microsoft Wireless Optical Mouse® 1.00 as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.8/2-1.8:1.0/input/input35
[ 1497.609408] generic-usb 0003:045E:00E1.0003: input,hidraw2: USB HID v1.11 Mouse [Microsoft Microsoft Wireless Optical Mouse® 1.00] on usb-0000:00:1d.0-1.8/input0

Micah Gersten (micahg) on 2010-10-07
affects: evdev → ubuntu-release-notes
Changed in xserver-xorg-input-evdev (Ubuntu):
importance: Undecided → High
milestone: none → maverick-updates
tags: added: regression-potential
Scott Marshall (skewtz) wrote :

I'm also affected by this bug as well. Microsoft Digital Media Keyboard v1.0a and Logitech M-BJ69 3-Button USB/PS/2 Optical Mouse. rmmod usbhid;modprobe usbhid and/or unplugging kb and reinserting it does seem to make it work again.

Chris Halse Rogers (raof) wrote :

It seems that these Microsoft keyboards are being picked up as both keyboards & pointer devices - do they have anything that resembles a pointing device (a scroll-wheel, a joystick-like thing, etc)?

It looks like the kernel is confusing X here. To confirm this, could someone experiencing this problem please post their udev log, found in /var/log/udev?

Changed in xserver-xorg-input-evdev (Ubuntu):
status: Confirmed → Incomplete
Scott Marshall (skewtz) wrote :

The Microsoft Digital Media KB I've got does have a "zoom" key. I've attached my udev log. Hope it helps. Let me know if you need anything else.

Leon Nardella (leon.nardella) wrote :

udev log attached

Also, this is my kit: http://www.microsoft.com/hardware/mouseandkeyboard/ProductDetails.aspx?pid=039

Nothing fancy on the keyboard, just volume keys and a Calculator key.

Not sure if this is related to this bug or relevant, but Ubuntu also thinks that my Microsoft keyboard is a joystick. I reported a bug about it over a year ago and it has been confirmed (but not fixed yet) - https://bugs.launchpad.net/ubuntu/+source/linux/+bug/390959 - and that tends to mess about with things like games.

So Microsoft keyboards are now being picked up as a keyboard, mouse and joystick.. the joystick bug is persistent though, not just when a special key is used.

Scott Marshall (skewtz) wrote :

I did look at my /var/log/Xorg.0.log and it does seem there is a mouse component of sorts in my kb as well. (or it thinks there is). I'll attach the xorg.0.log too.

Changed in linux (Ubuntu):
importance: Undecided → High
Chris Halse Rogers (raof) wrote :

For those of you with Microsoft Digital Media Keyboards the attached udev rules should quirk Xorg to ignore the problematic extra joystick/mouse device. It should be copied into /etc/udev/rules.d, and will require a restart before it will apply.

Note that I haven't been able to test this locally; it's possible that I've made a mistake, and it'll prevent X from detecting your keyboard at all - in that case you'll need to reboot into recovery mode and delete the /etc/udev/rules.d/99-quirk-microsoft-crazy-keyboard.rules file.

This might also disable some of your extra function keys, but I'm not sure.

I would be interested in the experiences of people with this keyboard when using this quirk.

Martin Pitt (pitti) wrote :

What confuses me is that the udev logs all have the correct ID_INPUT_* tags, i. e. it doesn't misidentify the keyboard as ID_INPUT_MOUSE or ID_INPUT_KEYBOARD.

Could you please install the input-utils package. Then find out the input event number of the Microsoft keyboard from Xorg.0.log; e. g. if you see

[ 28.074] (II) config/udev: Adding input device Microsoft Microsoft® Digital Media Keyboard (/dev/input/event2)
[...]
[ 28.104] (II) config/udev: Adding input device Microsoft Microsoft® Digital Media Keyboard (/dev/input/event3)

then the keyboard created two new input devices "2" and "3". Please run

  sudo input-events 2

then press one of the trouble keys, and copy&paste the result. Then do the same with all the other reported input event device numbers from that keyboard (i. e. "3" in this example).

Thanks!

Christian (clomp) wrote :

My devices are as follows (lsinputs)
/dev/input/event2
   bustype : BUS_USB
   vendor : 0x45e
   product : 0xb4
   version : 273
   name : "Microsoft Microsoft® Digital Me"
   phys : "usb-0000:00:04.0-1/input0"
   uniq : ""
   bits ev : EV_SYN EV_KEY EV_MSC EV_LED EV_REP

/dev/input/event3
   bustype : BUS_USB
   vendor : 0x45e
   product : 0xb4
   version : 273
   name : "Microsoft Microsoft® Digital Me"
   phys : "usb-0000:00:04.0-1/input1"
   uniq : ""
   bits ev : EV_SYN EV_KEY EV_REL EV_ABS EV_MSC EV_REP

/dev/input/event4
   bustype : BUS_USB
   vendor : 0x45e
   product : 0x40
   version : 272
   name : "Microsoft Microsoft 3-Button Mou"
   phys : "usb-0000:00:04.0-3/input0"
   uniq : ""
   bits ev : EV_SYN EV_KEY EV_REL EV_MSC

Note that the keyboard is listed twice. My "trouble keys" are in particular the volume up/down keys:

The following is the output of input-events :

input-events 2 just reacts on non-special keys

input-events 3 list the special keys, for example:
10:30:42.868089: EV_MSC code=4 value=786665
10:30:42.868105: EV_KEY KEY_VOLUMEUP (0x73) pressed
10:30:42.868131: EV_SYN code=0 value=0
10:30:43.004077: EV_MSC code=4 value=786665
10:30:43.004100: EV_KEY KEY_VOLUMEUP (0x73) released
10:30:43.004133: EV_SYN code=0 value=0
10:30:43.860032: EV_MSC code=4 value=786666
10:30:43.860052: EV_KEY KEY_VOLUMEDOWN (0x72) pressed
10:30:43.860080: EV_SYN code=0 value=0
10:30:43.972026: EV_MSC code=4 value=786666
10:30:43.972043: EV_KEY KEY_VOLUMEDOWN (0x72) released
10:30:43.972073: EV_SYN code=0 value=0
10:30:47.942647: EV_SYN code=0 value=1

input-events 4 shows the following when the left mouse button is pressed:
10:32:15.128084: EV_MSC code=4 value=589825
10:32:15.128092: EV_KEY BTN_LEFT (0x110) pressed
10:32:15.128107: EV_REL REL_X -1
10:32:15.128112: EV_REL REL_Y 1
10:32:15.128117: EV_SYN code=0 value=0
10:32:15.152094: EV_MSC code=4 value=589825
10:32:15.152110: EV_KEY BTN_LEFT (0x110) released
10:32:15.152137: EV_SYN code=0 value=0

It says in my X.org.log that the input event 3 (my keyboard) has "1 mouse button" which has been configurate as a mouse and as a keyboard (see attachment).

Martin Pitt (pitti) wrote :

Thanks. So it seems the MS keyboard indeed is like two input devices in one, one for the normal keys, one for the hotkeys. This is very similar to Sony or Thinkpad modules, which also have a separate "input module" for their hotkeys. The input-events output for device 3 looks fine. The EV_MSC ones are MSC_SCAN events (for the scan code), which also happen on normal keys, also on my system. I don't see any EV_BTN. I don't see any EV_KEY BTN_* events on this device, and input_id also doesn't say that it's a mouse, so it looks correct from the kernel and udev perspective.

Chris, any idea what causes the xorg evdev driver to think that this device is a mouse? What properties does it check for?

Martin Pitt (pitti) wrote :

... or for that matter, it also seems to find all other kinds of input types, relative _and_ absolute axes, and scroll wheels, and mouse buttons.

I had another look at the udev output, and indeed the kernel reports strange things in the event mask:

UDEV [1286488972.672211] add /devices/pci0000:00/0000:00:12.0/usb3/3-1/3-1:1.1/input/input3 (input)
[...]
EV==10001f
KEY==837fff 2c3027 bf004444 0 c000000 1 10f84 8b27c007 ffff7bfa d941dfff febeffdf ffefffff ffffffff fffffffe
REL==40
ABS==ffffff01 701ff
MSC==10

In contrast to that, the input device for the "normal" keys looks much more reasonable:

KERNEL[1286488968.583658] add /devices/pci0000:00/0000:00:12.0/usb3/3-1/3-1:1.0/input/input2 (input)
[...]
EV==120013
KEY==10000 7 ff800000 7ff febeffdf f3cfffff ffffffff fffffffe
MSC==10
LED==107

So I assume the evdev driver looks at the event mask, and this is what's causing it to think that this is a mouse, joystick, and all that. I'm not sure how the kernel detects these event masks, whether it's read from the hardware, or set in the driver; in the former case it would be hardware bug, in the latter case a kernel bug.

However, that still leaves the question open why the mouse clicks happen? Even if the input device falsely claims that it can send all these types of events (relative, absolute axes, mouse buttons, etc., as declared in the event masks), that still doesn't mean that it actually does send out these events, and above input-events output shows that it doesn't send out BTN_* events which would represent mouse clicks.

Martin Pitt (pitti) wrote :

C.E.L.,

is there a chance that you could try input-events on all the other input devices, and check if you get EV_KEY BTN_* events on any of them when you press a hotkey on that keyboard?

Since these don't come from input/event3 (the hotkey portion of the MS keyboard for you), they must come from somewhere else. After/if you found it, can you please tell us the number and copy&paste the ouput of "sudo lsinput"?

Thanks!

Martin

Scott Marshall (skewtz) wrote :

I've ran the requested lsinputs and input-events.. and attached a file for you to see. I didn't see any BTN_* events related to the keyboard on any of the event numbers. I've also tried the udev urules file suggested by Chris. No go on that one. The bug still happens.

I'll be here for the next few hours. You can msg me on skype if you'd like. Maybe we can clear this up a lil quicker if its more of a one-to-one live event rather than in msgs? my skype id is sc00tz99.

Pijo (pijo) wrote :

Same here with Microsoft Wired Keyboard 600:

lsusb
Bus 005 Device 003: ID 045e:0750 Microsoft Corp. Wired Keyboard 600
Bus 005 Device 002: ID 046d:c03e Logitech, Inc. Premium Optical Wheel Mouse (M-BT58)

Microsfot Wired Keyboard 600 is listed as Virtual core pointer. Is this ok?

xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Logitech USB-PS/2 Optical Mouse id=8 [slave pointer (2)]
⎜ ↳ Microsoft Wired Keyboard 600 id=10 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Power Button id=7 [slave keyboard (3)]
    ↳ Microsoft Wired Keyboard 600 id=9 [slave keyboard (3)]

I checked other keyboard with multimedia buttons - Modecom MC-5003. Works fine included multimedia buttons (Vole up, down, mute, play/pause):

Bus 005 Device 002: ID 046d:c03e Logitech, Inc. Premium Optical Wheel Mouse (M-BT58)
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 03f0:4d11 Hewlett-Packard PSC 1400
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 0a81:0101 Chesen Electronics Corp. Keyboard
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

~$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Logitech USB-PS/2 Optical Mouse id=8 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Power Button id=7 [slave keyboard (3)]
    ↳ CHESEN USB Keyboard id=9 [slave keyboard (3)]
    ↳ CHESEN USB Keyboard id=10 [slave keyboard (3)]

Christian (clomp) wrote :

Martin,

I didn't find any device that would produce EV_KEY BTN_* events.

The lsinput output is attached.

Christian

Martin Pitt (pitti) wrote :

Thanks.

@Chris: Do you know whether xorg-evdev synthesizes mouse events from anything? It seems that there is no BTN_* event on any of the input devices which would be the origin of those mouse clicks seen in xev.

Scott Marshall (skewtz) wrote :

I turned on the "debug" level in udev. Sorry for not doing that earlier. I'm kind of learning as I go. :) An updated udev log is attached.

Leon Nardella (leon.nardella) wrote :

http://paste.ubuntu.com/509558/

Events from my keyboard.
Also tested all the other devices shown by lsinput, but none of them presented btn events.

Marco Minetti (marcominetti) wrote :

Installing xserver-xorg-input-* from ppa:xorg-edgers/ppa solves the problem (temporarily until new packages will become official). I don't suggest to upgrade all xorg packages because they are not supported (...you know) and there are currently another annoying problem with clipping of notify-osd popups.

Cheers,

Marco

Marco Minetti (marcominetti) wrote :

I forgot... I also kept the two "autoremovable" packages related to new touch protocol without affecting the "workaround" success.

Just for the record the udev quirks file in comment #24 does not fix/workaround the problem in any way.

Chris Halse Rogers (raof) wrote :

@Marco Minetti: Could you check that installing just xserver-xorg-input-evdev from xorg-edgers resolves this problem? If it does, I'll see what's changed between our version and git.

kolen (incredible-angst) wrote :

Have this problem. It is strange that left button does not work only if keyboard layout indicator (scroll lock led) is enabled. After disabling keyboard layout indicator left button works.
Also, xinput list shows duplicate mouse device under "Virtual core pointer". After disabling second mouse device, one of duplicates, left button begins to work, even if keyboard indicator is enabled.

"xinput test" shows mouse click events even if left mouse does not work due to this problem.

Changed in xserver-xorg-input-evdev (Ubuntu Maverick):
importance: Undecided → High
Changed in xserver-xorg-input-evdev (Ubuntu):
status: Incomplete → Confirmed
Changed in xserver-xorg-input-evdev (Ubuntu Maverick):
status: New → Confirmed
milestone: none → maverick-updates
Changed in ubuntu-release-notes:
status: New → Confirmed
status: Confirmed → New
tags: added: regression-release
removed: regression-potential
description: updated
Mike Nemkov (mn-post) on 2010-10-25
Changed in linux (Ubuntu):
status: New → Invalid
78 comments hidden view all 158 comments
Thomas Kluyver (takluyver) wrote :

apt-get update only updates the list of packages. After doing that, run sudo apt-get upgrade to install newer versions.

Arkadyy (arkadyy) wrote :

Im using a microsoft wired keyboard 600 and a logitech MX518 mouse, andthe problem was solved thanks to the aubergine package (except for the return to 0,0 part at first use of specials keys part, which is muuuuch better than to have to unplug-plug back the keyboard). Thanks, Chris.

Peter Dotchev (dotchev) wrote :

Microsoft Digital Media Keyboard 1.0A + Microsoft IntelliMouse Optical USB.
Same issue. Solved with the fix provided above.

Thanks,
Peter

Shouldn't this package be rolled into a standard update? I also having this
issue and it is getting mighty annoying after 40 days.

Andrew Martin (werdz) wrote :

+1 on The Fiddler, James N and Royisr. This is a major bug and a fix (even an imperfect one) needs to be pushed out as a matter of extreme urgency. I know a lot of people with MS keyboards, and most of them don't know what a PPA is or how to reload usbhid.

I'm lucky enough to know how to play with PPAs and modprobe, but a normal user would just turn away from Ubuntu because of something like this.

40 days?!

Martin Pitt (pitti) wrote :

Chris, do you plan to upload this soon? Even if it just fixes half of the cases, it'd be an improvement for users already. Thanks!

Changed in xserver-xorg-input-evdev (Ubuntu Natty):
milestone: maverick-updates → none
assignee: nobody → Chris Halse Rogers (raof)
Camilo Nova (camilo-nova) wrote :

Chris, i agree with most of the people here that this is *urgent* i have this problem since the last dist upgrade, in my office we all have MS keyboards and this problem is a real pain in the ass.

Please make the solution for this problem ready to final users.

Thanks

It's strange, but without installing anything from the aubergine ppa respository, on my machine the "symptom" disappeared. Now I can press any extra key (the multimedia keys, or mail, home etc.) and the mouse still works correctly, I don't have to reset it. The only thing I did, was installing the regular updates with update-manager.

joishere (joishere) wrote :

Problem solved for me too, without doing anything special (just the standards updates).

Lars Kumbier (derlars) on 2010-11-28
Changed in linux (Ubuntu Maverick):
status: New → Confirmed
Neil Green (neil-r-green) wrote :

I'm using a Microsoft Wireless Keyboard 3000 v2.0 and Microsoft Wireless Mouse 5000. The left mouse button problem used to be present when pressing any of the "special" keys on the keyboard, e.g. volume up/down, play, pause, email, etc.

Now when I use the "special" keys there doesn't appear to be a problem. I have been updating regularly using Update Manager and I don't know which update(s) resolved the problem.

Thomas Kluyver (takluyver) wrote :

Alright, it seems there's been progress. Questions:
- If it's fixed for you without adding the aubergine repository, does your mouse jump to the top left corner of the screen the first time you use one of the special keys after starting the computer? Several people have experienced that with the aubergine repository.
- Is this a deliberate fix for this bug, or is it a side effect of an update fixing another bug? Could a future update make it reappear?
- Is there a way for those of us who installed the package from the aubergine PPA to test the standard repos? Will ppa-purge do the trick?

Camilo Nova (camilo-nova) wrote :

For me the problem didn't solve with the update manager, i have all the updates installed and still have this problem.

Im on ubuntu server kernel, but seems this doesn't affect the ppa people are sugesting to solve the problem.

Anyone can confirm if the ppa changes are integrated in some package of ubuntu?

Leon Nardella (leon.nardella) wrote :

I have been using the aubergine packages since they were released and had been facing the (0,0) cursor move issue on first use ever since.

Out of curiosity, I installed ppa-purge this morning and proceeded to purge the aubergine PPA.
Four packages were downgraded: xserver-common xserver-xephyr xserver-xorg-core xserver-xorg-input-evdev.

The first 3 packages are built from the xorg-server source package and the last one is built from the xserver-xorg-input-evdev source package.

 I took a look on both packages' changelog and, even though none has been modified since even before Maverick's release date, both the original issue of the special keys interfering with the mouse and the (0,0) cursor move glitch are gone now!

Really not sure what fixed those issues and not sure either if they're fixed on a fresh installation either.

Hans Nieser (hnsr) wrote :

I can confirm that after installing today's updates and rebooting, the issue appears to be fixed (in my case at least). Should also mention that I've not used the aubergine package or any PPA. I have a Microsoft® Wired Keyboard 600 and Logitech® MX510 plugged into a HP 6730s laptop. Thanks!

same here, issue fixed since last kernel upgrade (with Microsoft Digital Media Keyboard 3000). never had PPA installed.

Bryce Harrington (bryce) on 2010-11-30
tags: added: natty
Martin Pitt (pitti) wrote :

Thanks for the feedback! So it seems this was fixed with the recent kernel upgrade to maverick-updates. Please let us know if it still does not work with all maverick updates applied.

Changed in linux (Ubuntu Maverick):
status: Confirmed → Fix Released
Changed in xserver-xorg-input-evdev (Ubuntu Maverick):
status: Confirmed → Invalid
milestone: maverick-updates → none
Changed in xserver-xorg-input-evdev (Ubuntu Natty):
status: Confirmed → Invalid
Changed in ubuntu-release-notes:
status: New → Invalid
amichair (amichai2) wrote :

How does one return to the normal upgrade path after using the ppa? Can anyone please list the steps?

Thomas Kluyver (takluyver) wrote :

@amichair: Install the ppa-purge package, then use the command "sudo ppa-purge -p aubergine raof". That will disable the PPA and downgrade your packages to the latest version available from your other sources.

fiXedd (jeremy-logan) wrote :

It was fixed for me until the kernel update yesterday... now it's back.

Daniel d'Andrada (dandrader) wrote :

Ok, now I can use the multimedia and other special keys on my Microsoft Digital Media Keyboard 1.0A and the mouse keeps working fine.

*But* my function keys (F1, F2, etc) don't work anymore. I've plugged in a Dell keyboard as well (besides the Microsoft one) and the Dell one keeps working just fine.

Bastian Gebhardt (buzz-t) wrote :

Bug fixed for me. Multimedia function keys have no Button event and work as usual. Also the F(1-12) function keys still work.

Andrew Martin (werdz) wrote :

I applied all of the updates (including latest kernel) at about 10AM GMT today, and everything appears to now be working. No mouse pointer glitches either, everything just works as expected. Never installed the PPA packages.

Using Microsoft Digital Media Pro keyboard (P/N X800153-011) and old Logitech G5 mouse.

Thanks guys.

Andrew Martin (werdz) wrote :

Sorry, should have said. Function keys (F1...F12) all work fine here too.

Thomas Kluyver (takluyver) wrote :

@Daniel: Does your keyboard have an "F-lock" key like mine? If so, check that it's on.

Camilo Nova (camilo-nova) wrote :

It's resolved for me too with the last packages update. :D

Lars Kumbier (derlars) wrote :

Resolved for me, too. Bug should be closed.

amichair (amichai2) wrote :

Thanks, Thomas! After running ppa-purge and upgrading to latest kernel (and all other updates) from official repos, the issue is gone here as well.

cmat (cmat555) wrote :

problem solved for me too with latest updates. thanks all.

Daniel d'Andrada (dandrader) wrote :

> @Daniel: Does your keyboard have an "F-lock" key like mine? If so, check that it's on.

You're right. Thomas. I forgot about this key. It's been such a long time since I last pressed it. :-)
Everything is working fine then.

ppa:raof/aubergine didn't solve my problem. I can't use mouse and (this) keyboard same time.

I have uptodate Ubuntu 10.10. (and tested only with 10.10)
My Mouse&Keyboard model is A4Tech No any Lag Wireless Desktop GL-6630 ( http://www.a4tech.com/product.asp?cid=100&scid=156&id=600 )
They are wireless mouse+keyboard set and using same usb-receiver.
After connecting receiver mouse start working, but when switch keyboard ON - left mouse button stop working.

Keyboard has 7 special keys: shutdown, back, forward, refresh, home, zoom, email. (If this does matter, mouse breaks before any key press)

I can disable keyboard, and then mouse works again:
xinput set-prop 8 "Device Enabled" 0
And enabling keyboard will break mouse again.

I tried ppa:raof/aubergine, but it didn't solve my problem.
Before:
xserver-common: Installed: 2:1.9.0-0ubuntu7
xserver-xephyr: Installed: 2:1.9.0-0ubuntu7
xserver-xorg-core: Installed: 2:1.9.0-0ubuntu7
xserver-xorg-dev: Installed: 2:1.9.0-0ubuntu7

FIX:
sudo add-apt-repository ppa:raof/aubergine
sudo apt-get update
sudo apt-get upgrade
sudo reboot

After:
xserver-common, xserver-xephyr, xserver-xorg-core, xserver-xorg-dev Installed: 2:1.9.0-0ubuntu7.3~raof

I tested events from keyboard with 'xinput test 8'
-> ONLY key press/ key release (special keys gives key-events too)

Part2. (with success)
I purged aubergine ( sudo ppa-purge -p aubergine raof )

And tried xorg-edgers
sudo add-apt-repository ppa:xorg-edgers/ppa
sudo apt-get update
sudo apt-get upgrade
#140 package upgraded
#e.g. xserver-common (2:1.9.2.901+git20101129+server-1.9-branch.65f2ab20-0ubuntu0sarvatt2~maverick)
sudo reboot

And now my mouse and keyboard work.
(ONE of special keyboard button causes ALWAYS mouse cursor to jump 0,0)

Piotr Kujawski (elektrownia) wrote :

Hi. This bug is not fixed.

The ppa:raof/aubergine does not fix it for me, only the ppa:xorg-edgers/ppa does fix this bug.

At login time the left button works, short after the login too, later not.

I resolved this through Gnome settings in Ubuntu 10.10. Under System, Keyboard Preferences:
On the Layouts tab I selected a similar keyboard model "Microsoft Natural Keyboard Pro / Microsoft Internet Keyboard Pro". On the "Mouse Keys" tab I de-selected the check box labeled "Pointer can be controlled using the keypad" Then I restarted my PC although the restart may have been overkill. Viola. No more issue. If I'm wrong and the issue still exists I'll post my findings here.

Hardware:
I have a Microsoft Natural MultiMedia Keyboard and Logitech mouse and have experienced the loss of the left mouse button functionality after a special key was pressed.

TJ (tj) wrote :

Lucid:

After the kernel update to 2.6.32-29.58 a mythbuntu/xubuntu system with a Logitech Cordless keyboard and mouse began exhibiting the behaviour described in this and related duplicate bugs - namely:

 * loss of left-mouse functionality
 * xubuntu's graphical sudo GUI reporting "Other application has captured mouse, may be malicious key-logger" when using update-manager

Triggers appeared to be:

 * pressing function key combinations or special media keys on the keyboard
 * some random time passing after log-in without doing anything except moving/clicking the mouse

After finding this and duplicate bugs and reading the various solutions and suggested causes I decided to try restarting the affected PC with the previous kernel, 2.6.32-28.55, and the problem disappeared.

I can't see anything obvious in the changelog to explain what may have introduced the problem on the particular system.

Andy Whitcroft (apw) on 2011-02-28
Changed in linux (Ubuntu Maverick):
importance: Undecided → High
Becke Åkerman (becke) on 2011-04-02
Changed in linux (Ubuntu Maverick):
assignee: nobody → Becke Åkerman (becke)
sukatana (sukatana) on 2011-04-05
Changed in linux (Ubuntu Maverick):
assignee: Becke Åkerman (becke) → sukatana (sukatana)
Mike Lerley (akfy-7tk2-nw2w) wrote :

I don't know if this has been moved somewhere else or is still considered open but I believe I have the same problem in Natty. This post http://ubuntuforums.org/showthread.php?t=1790995 details my problem exactly and shows myself and two others with the same issue. I did not have the problem before I upgraded to Natty, and I was using natty-backports.

Mike Lerley (akfy-7tk2-nw2w) wrote :

I should note that I don't have a Microsoft keyboard but a Saitek Eclipse II keyboard. Relevant inputs:

/dev/input/event5
   bustype : BUS_USB
   vendor : 0x6a3
   product : 0x8021
   version : 273
   name : "Chicony Saitek Eclipse II Keyboa"
   phys : "usb-0000:00:1d.0-1/input0"
   uniq : ""
   bits ev : EV_SYN EV_KEY EV_MSC EV_LED EV_REP

/dev/input/event6
   bustype : BUS_USB
   vendor : 0x6a3
   product : 0x8021
   version : 273
   name : "Chicony Saitek Eclipse II Keyboa"
   phys : "usb-0000:00:1d.0-1/input1"
   uniq : ""
   bits ev : EV_SYN EV_KEY EV_MSC

The feature that causes the problem here is the button to turn on/off/change the kb backlight color. input-events for /dev/input/event6:

First press (backlight off->blue): emulates left click
19:43:40.885931: EV_MSC MSC_SCAN -16646143
19:43:40.885936: EV_KEY BTN_0 (0x100) pressed
19:43:40.885941: EV_MSC MSC_SCAN -16646140
19:43:40.885942: EV_KEY BTN_3 (0x103) released
19:43:40.885943: EV_SYN code=0 value=0

Second press (blue->red): emulates middle click
19:43:43.101984: EV_MSC MSC_SCAN -16646143
19:43:43.101989: EV_KEY BTN_0 (0x100) released
19:43:43.101992: EV_MSC MSC_SCAN -16646142
19:43:43.101992: EV_KEY BTN_1 (0x101) pressed
19:43:43.101996: EV_SYN code=0 value=0

Third press (red->purple): emulates right click
19:43:38.005865: EV_MSC MSC_SCAN -16646142
19:43:38.005869: EV_KEY BTN_1 (0x101) released
19:43:38.005871: EV_MSC MSC_SCAN -16646141
19:43:38.005872: EV_KEY BTN_2 (0x102) pressed
19:43:38.005874: EV_SYN code=0 value=0

Fourth press (purple->off) emulates ???
19:43:39.765915: EV_MSC MSC_SCAN -16646141
19:43:39.765921: EV_KEY BTN_2 (0x102) released
19:43:39.765925: EV_MSC MSC_SCAN -1664614019
19:43:39.765926: EV_KEY BTN_3 (0x103) pressed
19:43:39.765928: EV_SYN code=0 value=0

It seems to me this might be fundamentally a udev issue.. but I'm not qualified to judge that.

Changed in linux (Ubuntu Natty):
status: Invalid → Confirmed
JerryH (jerry-metalcat) wrote :

Fresh install and upgrade to latests packages across the board and I get this as well, ubuntu is not unusable for me.

JerryH (jerry-metalcat) wrote :

Ah, so it's fine with my normal 2 button USB mouse, though with the multi function logitech it shows the symptoms.

affects: linux (Ubuntu Maverick) → xorg (Ubuntu Maverick)
Nedim Cholich (nedim) wrote :

This is happening to me on Xubuntu 12.04 on Lenovo X201 Tablet.

dino99 (9d9) wrote :
Changed in xorg (Ubuntu Natty):
status: Confirmed → Invalid
Displaying first 40 and last 40 comments. View all 158 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.